<img width="437" alt="Capture d’écran 2023-06-09 à 11 24 39" src="https://github.com/vengamo/vengamo-chat-ui/assets/133201077/a0b69b4b-9e0b-4a98-a313-0951676ab98e">


Vengamo Chat UI is a Flutter project that combines the user interface elements of WhatsApp, Telegram, and Facebook Messenger in one place. It offers a seamless and intuitive chat experience inspired by these popular messaging applications.


## Features

- Familiar UI elements from WhatsApp, Telegram, and Facebook Messenger.
- Customizable themes to personalize the chat interface.
- Group chats with support for multiple participants (to be added in coming version)
- Real-time message updates and notifications (to be added in coming version)
- Rich media sharing, including photos, videos, and files (to be added in coming version)
- Emojis and stickers for expressive conversations. (to be added in coming version)
- Voice and video calling functionalities (to be implemented).

## Screen Shoot

![Simulator Screenshot - iPhone 13 - 2023-06-09 at 11 07 19](https://github.com/vengamo/vengamo-chat-ui/assets/133201077/09354b8f-b485-45f9-a571-d4b9d600ab6c)

## Examples

```bash
   VengamoChatUI(
            senderBgColor: AppColors.softGreenColor,
            receiverBgColor: AppColors.white,
            isSender: true,
            isNextMessageFromSameSender: false,
            time: getTime(),
            timeLabelColor : AppColors.softBlackcolor,
            text: "Yolla ✋ Hey, guess what?",
            pointer: true, 
            ack: Icon(
                    Icons.check,
                    color: AppColors.iconColor, // You can customize the color here
                  size: 13, // You can customize the size here
            ),
          )
   ```

## Getting Started

To use Vengamo Chat UI in your Flutter project, follow these steps:

1. Ensure that you have Flutter installed on your system. For installation instructions, refer to the [Flutter official documentation](https://flutter.dev/docs/get-started/install).

2. Open your project's `pubspec.yaml` file.

3. Add the following dependency under the `dependencies` section:

   ```yaml
   dependencies:
     vengamo_chat_ui: ^1.0.8
   ```

   Replace `^1.0.8` with the desired version of Vengamo Chat UI.

4. Save the `pubspec.yaml` file.

5. Run the following command in your project's root directory:

   ```bash
   flutter pub get
   ```

6. Import Vengamo Chat UI in your Dart code:

   ```dart
   import 'package:vengamo_chat_ui/vengamo_chat_ui.dart';
   ```

7. You can now use Vengamo Chat UI components in your Flutter app.

## Contributions

Contributions to the Vengamo Chat UI project are welcome! If you find any issues or have suggestions for improvements, feel free to open an issue or submit a pull request. Please follow the project's code of conduct.

## License

The Vengamo Chat UI project is licensed under the [MIT License](LICENSE).

Feel free to use this README template as a starting point and add more details as needed to provide a comprehensive overview of your Vengamo Chat UI project.