import 'package:flutter/material.dart';
import 'package:vengamo_chat_ui/theme/app_color.dart';
import 'components/without_avatar_bubble.dart';

class VengamoChatUI extends StatelessWidget {
  final String? text;
  final bool isSender;
  final Color senderBgColor;
  final Color receiverBgColor;
  final bool isNextMessageFromSameSender;
  final Color timeLabelColor;
  final Color textColor;
  final String time;
  final bool pointer;
  final Widget ack;
  
  const VengamoChatUI({
    super.key, 
    this.text,
    required this.isSender,
    required this.senderBgColor,
    required this.receiverBgColor,
    this.textColor = AppColors.darkModeBackgroundColor,
    this.isNextMessageFromSameSender = false,
    required this.time,
    this.timeLabelColor = AppColors.softBlackcolor,
    this.pointer = true,
    required this.ack
  });

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) {
        return Align(
          alignment: isSender ? Alignment.centerRight : Alignment.centerLeft,
            child: LayoutBuilder(
        builder: (ctx, constraints) {
           return ChatBubbleWithoutAvatar(
                    isMe: isSender,
                    message: text ?? '',
                    constraints: constraints,
                    senderBgColor : senderBgColor,
                    receiverBgColor: receiverBgColor,
                    isNextMessageFromSameSender: isNextMessageFromSameSender,
                    time : time,
                    timeLabelColor: timeLabelColor,
                    pointer: pointer,
                    ack: ack,
                    textColor: textColor
              );
        })
        );
      },
    );
  }
}

